{
  "name": "frontend",
  "version": "1.0.0",
  "scripts": {
    "ng": "ng",
    "start": "ng serve",
    "server:dist": "http-server dist -c-1 --cors",
    "build": "node ./version.js",
    "build-dev": "npm run build && ng build --prod -c=dev && rimraf dist && mv dist-done dist",
    "build-qc": "npm run build && ng build --prod -c=qc && rimraf dist && mv dist-done dist",
    "build-stag": "npm run build && ng build --prod -c=stag && rimraf dist && mv dist-done dist",
    "build-train": "npm run build && ng build --prod -c=train && rimraf dist && mv dist-done dist",
    "build-production": "npm run build && ng build --prod -c=production && rimraf dist && mv dist-done dist",
    "test": "ng test",
    "lint": "ng lint",
    "e2e": "ng e2e"
  },
  "private": true,
  "dependencies": {
    "@angular-devkit/build-angular": "^0.13.2",
    "@angular/animations": "^6.1.0",
    "@angular/cli": "~6.1.3",
    "@angular/common": "^6.1.0",
    "@angular/compiler": "^6.1.0",
    "@angular/compiler-cli": "^6.1.0",
    "@angular/core": "^6.1.0",
    "@angular/forms": "^6.1.0",
    "@angular/http": "^6.1.0",
    "@angular/platform-browser": "^6.1.0",
    "@angular/platform-browser-dynamic": "^6.1.0",
    "@angular/router": "^6.1.0",
    "@auth0/angular-jwt": "^2.0.0",
    "@ngrx/store": "^6.1.0",
    "ag-grid": "^18.1.2",
    "ag-grid-angular": "^18.1.0",
    "bootstrap": "^3.4.1",
    "canvas2image": "^1.0.5",
    "chart.js": "^2.7.3",
    "classlist.js": "^1.1.20150312",
    "compass-mixins": "^0.12.10",
    "core-js": "^2.5.4",
    "dayjs": "^1.8.11",
    "file-loader": "^1.1.11",
    "file-saver": "1.3.3",
    "font-awesome": "^4.7.0",
    "html2canvas": "^0.5.0-beta4",
    "http-server": "^0.11.1",
    "jquery": "^3.3.1",
    "moment": "^2.21.0",
    "mv": "2.1.1",
    "ng2-currency-mask": "^5.3.1",
    "ng2-dnd": "^4.2.0",
    "ng2-dragula": "^2.0.2",
    "ng2-toasty": "^4.0.3",
    "ngx-bootstrap": "^3.2.0",
    "ngx-color-picker": "^7.0.1",
    "ngx-spinner": "^7.0.0",
    "ngx-toggle-switch": "^2.0.5",
    "node-sass": "^4.11.0",
    "npm-font-open-sans": "^1.1.0",
    "raleway-webfont": "^3.0.1",
    "ramda": "^0.26.1",
    "reflect-metadata": "^0.1.12",
    "rimraf": "^2.6.2",
    "rxjs": "6.3.3",
    "rxjs-compat": "6.3.3",
    "simple-line-icons": "^2.4.1",
    "socket.io-client": "^2.1.1",
    "spinkit": "^1.2.5",
    "sweetalert": "^2.1.0",
    "typescript": "2.7.2",
    "write": "^1.0.3",
    "zone.js": "~0.8.26"
  },
  "devDependencies": {
    "@angular/language-service": "^6.1.0",
    "@types/jasmine": "~2.8.6",
    "@types/jasminewd2": "~2.0.3",
    "@types/node": "~8.9.4",
    "codelyzer": "~4.2.1",
    "jasmine-core": "~2.99.1",
    "jasmine-spec-reporter": "~4.2.1",
    "karma": "~1.7.1",
    "karma-chrome-launcher": "~2.2.0",
    "karma-coverage-istanbul-reporter": "~2.0.0",
    "karma-jasmine": "~1.1.1",
    "karma-jasmine-html-reporter": "^0.2.2",
    "protractor": "^5.4.2",
    "ts-node": "~5.0.1",
    "tslint": "~5.9.1"
  }
}
